stages:
  - doxygen

variables:
  DOC_FOLDER: doc

build-job:
  stage: doxygen
  tags:
    - doxygen
    - latex
  script:
    - doxygen
  only:
    - master
    - develop
  artifacts:
    paths:
      - $DOC_FOLDER/html/search/*
      - $DOC_FOLDER/html/*
      - $DOC_FOLDER/latex/*
    expire_in: 1 week


